wxRuby Documentation Home

# Wx::StaticLine

A static line is just a line which may be used in a dialog to separate the
groups of controls. The line may be only vertical or horizontal.

## Derived from

Control

Window

EvtHandler

Object

## Window styles

`LI_HORIZONTAL` | Creates a horizontal line.
`LI_VERTICAL` | Creates a vertical line.

## See also

StaticBox

## Methods

- StaticLine.new
- StaticLine#create
- StaticLine#is_vertical
- StaticLine#get_default_size

### StaticLine.new

StaticLine.new(%(arg-type)Window% parent, Integer id = ID_ANY, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = LI_HORIZONTAL, String name = “staticLine”)

Constructor, creating and showing a static line.

#### Parameters

- parent Parent window. Must not be NULL.
- id Window identifier. A value of -1 indicates a default value.
- pos Window position. If the position (-1, -1) is specified then a default position is chosen.
- size Size. Note that either the height or the width (depending on
  whether the line if horizontal or vertical) is ignored.
- style Window style (either LI_HORIZONTAL or LI_VERTICAL).
- name Window name.

#### See also

StaticLine#create

### StaticLine#create

Boolean create(%(arg-type)Window% parent, Integer id = ID_ANY, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = 0, String name = “staticLine”)

Creates the static line for two-step construction. See StaticLine.new for further details.

### StaticLine#is_vertical

Boolean is_vertical()

Returns true if the line is vertical, false if horizontal.

### StaticLine#get_default_size

Integer get_default_size()

This static function returns the size which will be given to the smaller
dimension of the static line, i.e. its height for a horizontal line or its
width for a vertical one.

[This page automatically generated from the Textile source at 2023-06-09 00:45:31 +0000]